[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: newbie help needed debugging LIB_DEPENDS issue(s)



On Thu, Oct 20, 2005 at 12:55:24PM -0400, Josh Grosse wrote:
> On Thu, Oct 20, 2005 at 05:38:49PM +0200, steven mestdagh wrote:
> > On Thu, Oct 20, 2005 at 11:25:31AM -0400, Josh Grosse wrote:
> > > ===>  Building package for kdepim-3.4.3
> > > Missing library for kmedia2_idl
> > 
> > it seems this library does not belong to x11/kde/libs3, but to
> > x11/kde/arts3.  so the LIB_DEPENDS would need some adjusting:
> > 
> > LIB_DEPENDS+= kdecore.6,artskde,knewstuff,DCOP,kabc,kabc_f
> > ile,kimproxy,kdefakes,kdefx,kdeprint,kdesu,kdeui,khtml,kio,kjs,kparts,kresources
> > ,kspell,kutils,kwalletclient,vcard::x11/kde/libs3 \
> >               kmedia2_idl::x11/kde/arts3
> 
> Thank you Steve!  After making this adjustment to LIB_DEPENDS, kdepim packaged
> cleanly.
> 
> Is anyone else seeing similar kdelibs/arts issues, or am I the only one?

actually, my assumption was wrong, and the port is correct. kde/arts3 is
already a dependency of kde/libs3.  the package builds without issues
here, so something is probably wrong with your setup.

-- 

Disclaimer: http://www.kuleuven.be/cwis/email_disclaimer.htm